Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`ftp`.`BaseFTPRealm``

class documentation

`class BaseFTPRealm: (source)`

Known subclasses: `twisted.protocols.ftp.FTPRealm`, `twisted.protocols.ftp.SystemFTPRealm`

Constructor: `BaseFTPRealm(anonymousRoot)`

Implements interfaces: `twisted.cred.portal.IRealm`

View In Hierarchy

Base class for simple FTP realms which provides an easy hook for specifying the home directory for each user.

Method | `__init__` | Undocumented
Method | `getHomeDirectory` | Return a `FilePath` representing the home directory of the given avatar. Override this in a subclass.
Method | `requestAvatar` | Return avatar which provides one of the given interfaces.
Instance Variable | `anonymousRoot` | Undocumented

def __init__(self, anonymousRoot): (source)
overridden in `twisted.protocols.ftp.FTPRealm`

Undocumented

def getHomeDirectory(self, avatarId): (source)
overridden in `twisted.protocols.ftp.FTPRealm`, `twisted.protocols.ftp.SystemFTPRealm`

Return a `FilePath` representing the home directory of the given avatar. Override this in a subclass.

Parameters
avatarId:`str` | A user identifier returned from a credentials checker.
Returns
`FilePath` | Undocumented

def requestAvatar(self, avatarId, mind, *interfaces): (source)
from `twisted.cred.portal.IRealm`

Return avatar which provides one of the given interfaces.

Parameters
avatarId | a string that identifies an avatar, as returned by `ICredentialsChecker.requestAvatarId` (via a Deferred). Alternatively, it may be `twisted.cred.checkers.ANONYMOUS`.
mind | usually None. See the description of mind in `Portal.login`.
*interfaces | the interface(s) the returned avatar should implement, e.g. `IMailAccount`. See the description of `Portal.login`.
Returns
a deferred which will fire a tuple of (interface, avatarAspect, logout), or the tuple itself. The interface will be one of the interfaces passed in the 'interfaces' argument. The 'avatarAspect' will implement that interface. The 'logout' object is a callable which will detach the mind from the avatar.

anonymousRoot = (source)
overridden in `twisted.protocols.ftp.FTPRealm`

Undocumented